MysqlSqlUtil::MysqlView Class Reference

represents a MySQL view More...

Inheritance diagram for MysqlSqlUtil::MysqlView:
[legend]

## Public Member Functions

| constructor (string n_name, string n_src, *string n_tablecatalog, *string n_schema, *string n_checkoption, *string n_definer, *string n_securitytype, bool n_updatable)
| creates the object from the arguments
string | getCreateSql (*hash opt)
| returns a string that can be used to create the view in the database
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the view in the database More...

## Public Attributes

*string | checkoption
| checkoption clause
*string | definer
| dafiner clause
*string | securitytype
| security type value
*string | tablecatalog
| table catalog value

## Detailed Description

represents a MySQL view

## Member Function Documentation

## getRenameSql()

softlist MysqlSqlUtil::MysqlView::getRenameSql | ( | string | new_name,
|  | *hash | opt
| ) |  |

virtual

returns a string that can be used to rename the view in the database

Parameters

  new_name | the new name of the object
  opt | this argument is ignored

Implements SqlUtil::AbstractView.